Subject: Re: [RFC] net: ipv4 -- Introduce ifa limit per net

From: Cyrill Gorcunov <[email-masked]>
Date: Sat, 5 Mar 2016 21:44:59 +0300

On Sat, Mar 05, 2016 at 11:33:12AM -0500, David Miller wrote:
...
> 
> Probably the same optimization can be applied there, see patch below.
> And if that doesn't do it, there is a really easy way to batch the
> delete by scanning the FIB tree in one go and deleting every entry
> that points to "in_dev".  But I suspect we really won't need that.

It made it to work faster but still for 10000 addresses it takes
~3-4 minutes to become alive again.

David, give me some time, I'll prepare tests and report the
results on patches and unpatched versions. And thanks a huge
for both patches!

	Cyrill